Avro C++

Public Member Functions | List of all members
avro::DataFileWriterBase Class Reference

Type-independent portion of DataFileWriter. More...

`#include <DataFile.hh>`

Inheritance diagram for avro::DataFileWriterBase:

## Public Member Functions
Encoder & | encoder () const
| Returns the current encoder for this writer.
void | syncIfNeeded ()
| Returns true if the buffer has sufficient data for a sync to be inserted.
uint64_t | getCurrentBlockStart () const
| Returns the byte offset (within the current file) of the start of the current block being written.
void | incr ()
| Increments the object count.
| DataFileWriterBase (const char *filename, const ValidSchema &schema, size_t syncInterval, Codec codec=NULL_CODEC)
| Constructs a data file writer with the given sync interval and name.
| DataFileWriterBase (std::unique_ptr< OutputStream > outputStream, const ValidSchema &schema, size_t syncInterval, Codec codec)
void | close ()
| Closes the current file. More...
const ValidSchema & | schema () const
| Returns the schema for this data file.
void | flush ()
| Flushes any unwritten data into the file.

## Detailed Description

Type-independent portion of DataFileWriter.

At any given point in time, at most one file can be written using this object.

## Member Function Documentation

## ◆ close()

void avro::DataFileWriterBase::close | ( |  | ) |

Closes the current file.

Once closed this datafile object cannot be used for writing any more.

The documentation for this class was generated from the following file:

- api/DataFile.hh